#!/usr/bin/env sh

echo 'Updating Sentry Project: '${PLUGIN_SENTRY_PROJECT}
echo 'New Release: '${DRONE_REPO}':'${DRONE_COMMIT_SHA}

curl https://${PLUGIN_SENTRY_DOMAIN}/api/0/organizations/kmlabz/releases/ \
  -X POST \
  -H 'Authorization: Bearer '${PLUGIN_SENTRY_TOKEN} \
  -H 'Content-Type: application/json' \
  -d '
  {
    "version": "'${DRONE_BUILD_NUMBER}'",
    "refs": [{
        "repository":"'${DRONE_REPO}'",
        "commit":"'${DRONE_COMMIT_SHA}'"
    }],
    "projects":["'${PLUGIN_SENTRY_PROJECT}'"]
}
'
